Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class GroovySourceAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.codehaus.groovy.antlr.GroovySourceAST

All Implemented Interfaces:
  Comparable, SourceInfo

    public class GroovySourceAST
    extends CommonAST

We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

Authors:
  Mike Spille
  Jeremy Rayner

Constructor Summary
`GroovySourceAST()`
`GroovySourceAST(Token t)`

Method Summary
`GroovySourceAST` | `childAt(int position)`
`GroovySourceAST` | `childOfType(int type)`
`List` | `childrenOfType(int type)`
`int` | `compareTo(Object object)`
`int` | `getColumn()`
`int` | `getColumnLast()`
`int` | `getLine()`
`int` | `getLineLast()`
`String` | `getSnippet()`
`void` | `initialize(AST ast)`
`void` | `initialize(Token t)`
`void` | `setColumn(int column)`
`void` | `setColumnLast(int colLast)`
`void` | `setLast(Token last)`
`void` | `setLine(int line)`
`void` | `setLineLast(int lineLast)`
`void` | `setSnippet(String snippet)`

Methods inherited from class CommonAST
initialize, initialize, initialize, getType, getText, setType, setText, equals, toString, decode, encode, addChild, getFirstChild, getNextSibling, findAll, getColumn, getTokenNames, getLine, getNumberOfChildren, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAllPartial, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toStringList, toStringTree, xmlSerializeNode, xmlSerializeRootOpen, xmlSerializeRootClose, xmlSerialize, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class BaseAST
equals, toString, decode, encode, initialize, initialize, initialize, getType, addChild, getText, getFirstChild, getNextSibling, setType, setText, findAll, getColumn, getTokenNames, getLine, getNumberOfChildren, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAllPartial, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toStringList, toStringTree, xmlSerializeNode, xmlSerializeRootOpen, xmlSerializeRootClose, xmlSerialize, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovySourceAST

    public GroovySourceAST()

### GroovySourceAST

    public GroovySourceAST(Token t)

Method Detail

### childAt

    public GroovySourceAST childAt(int position)

### childOfType

    public GroovySourceAST childOfType(int type)

### childrenOfType

    public List childrenOfType(int type)

### compareTo

    public int compareTo(Object object)

### getColumn

    public int getColumn()

### getColumnLast

    public int getColumnLast()

### getLine

    public int getLine()

### getLineLast

    public int getLineLast()

### getSnippet

    public String getSnippet()

### initialize

    public void initialize(AST ast)

### initialize

    public void initialize(Token t)

### setColumn

    public void setColumn(int column)

### setColumnLast

    public void setColumnLast(int colLast)

### setLast

    public void setLast(Token last)

### setLine

    public void setLine(int line)

### setLineLast

    public void setLineLast(int lineLast)

### setSnippet

    public void setSnippet(String snippet)

Copyright © 2003-2010 The Codehaus. All rights reserved.